ModuleNotFoundError: No module named ‘flask._compat’


 

flask_migrate升级之后运行python manager.py db init报错:

ModuleNotFoundError: No module named ‘flask._compat’

解决办法如下:

修改flask_script/__init__.py 

from ._compat import text_type 改成 from flask_script._compat import text_type 

博文最后更新时间:


评论

发表评论

请登陆发表评论